%define pypi_name python-sane
%define pkgname sane

Name:           python-%{pkgname}
Version:        2.9.1
Release:        %mkrel 6
Summary:        Python SANE interface
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/python-sane/
Source0:        %{pypi_source}

BuildRequires:  pkgconfig(sane-backends)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme


%description
This package contains the sane module for Python which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%package -n python3-%{pkgname}
Summary:        Python 3 SANE interface
Group:          Development/Python
Obsoletes:      python3-pillow-sane <= 2.6.1-2
Provides:       python3-pillow-sane = %{version}-%{release}
Requires:       python3-pillow
Requires:       python3-numpy
%{?python_provide:%python_provide python3-sane}

%description -n python3-%{pkgname}
This package contains the sane module for Python3 which provides access to
various raster scanning devices such as flatbed scanners and digital cameras.


%prep
%setup -q

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sane

# Build doc in %%install so that we can use the installed sane module for generating the docs
PYTHONPATH=%{buildroot}%{python3_sitearch} make -C doc html SPHINXBUILD=sphinx-build-%python3_version
rm -f doc/_build_py3/html/.buildinfo

# Fix non-standard-executable-perm
chmod 0755 %{buildroot}%{python3_sitearch}/*.so

%files -n python3-%{pkgname} -f %{pyproject_files}
%doc CHANGES.rst sanedoc.txt example.py doc/_build/html
%{python3_sitearch}/_sane.cpython-*.so



%changelog
* Thu Feb 22 2024 daviddavid <daviddavid> 2.9.1-6.mga10
+ Revision: 2043061
- rebuild for py3.12

* Mon Nov 21 2022 philippem <philippem> 2.9.1-5.mga9
+ Revision: 1909673
- Fix doc build

* Tue Apr 05 2022 umeabot <umeabot> 2.9.1-4.mga9
+ Revision: 1844824
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.9.1-3.mga9
+ Revision: 1782684
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 2.9.1-2.mga9
+ Revision: 1705377
- rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 2.9.1-1.mga9
+ Revision: 1697524
- new version 2.9.1

* Sun Feb 16 2020 umeabot <umeabot> 2.8.3-2.mga8
+ Revision: 1535067
- Mageia 8 Mass Rebuild

* Thu Oct 10 2019 daviddavid <daviddavid> 2.8.3-1.mga8
+ Revision: 1450925
- new version: 2.8.3

* Mon Oct 07 2019 daviddavid <daviddavid> 2.8.2-8.mga8
+ Revision: 1450363
- rebuild for python3.8
- drop python2 support
+ wally <wally>
- update doc build

* Thu Jan 10 2019 daviddavid <daviddavid> 2.8.2-6.mga7
+ Revision: 1354133
- rebuild for new Python 3.7
- rename python-sane to python2-sane

* Sun Sep 23 2018 umeabot <umeabot> 2.8.2-5.mga7
+ Revision: 1300588
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.8.2-4.mga7
+ Revision: 1135618
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 2.8.2-3.mga6
+ Revision: 958685
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 2.8.2-2.mga6
+ Revision: 887482
- BR python3-sphinx_rtd_theme
- BR python-sphinx_rtd_theme
- rebuild for python 3.5

* Fri Aug 28 2015 philippem <philippem> 2.8.2-1.mga6
+ Revision: 870450
- imported package python-sane

